Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -7673,6 +12258,9 @@
         -- CPU Interface Filter Profile Group --------------------------------------------------
         cpuFilterProfile       OBJECT IDENTIFIER ::= { companyCPUInterfaceFilterGroup 1 }
         
+
+-------------------------------------------------------------------------------------------
+
         cpuFilterProfileTable OBJECT-TYPE 
            SYNTAX      SEQUENCE OF CpuFilterProfileEntry
            MAX-ACCESS  not-accessible 
@@ -7680,7 +12268,7 @@
            DESCRIPTION 
                " A table to CPUInterfaceFilter profile .
                "
-           ::= { cpuFilterProfile 1 }
+           ::= { cpuFilterProfile 2 }
         
         cpuFilterProfileEntry OBJECT-TYPE 
            SYNTAX      CpuFilterProfileEntry
@@ -7710,14 +12298,28 @@
                  INTEGER, 
               cpuFilterProfileIPProtocolMask  
                  OCTET STRING,  
+              cpuFilterProfileDstIpAddrMaskType  
+                 INTEGER, 
               cpuFilterProfileDstIpAddrMask 
-                 IpAddress, 
+                 Ipv6Address,
+              cpuFilterProfileSrcIpAddrMaskType  
+                 INTEGER, 
               cpuFilterProfileSrcIpAddrMask 
-                 IpAddress,
+                 Ipv6Address,
               cpuFilterProfileDstPortMask
                  OCTET STRING,         
               cpuFilterProfileSrcPortMask
+                 OCTET STRING,    
+              cpuFilterProfileOffset1Mask
                  OCTET STRING,       
+              cpuFilterProfileOffset2Mask
+                 OCTET STRING,       
+              cpuFilterProfileOffset3Mask
+                 OCTET STRING,       
+              cpuFilterProfileOffset4Mask
+                 OCTET STRING,       
+              cpuFilterProfileOffset5Mask
+                 OCTET STRING,       
               cpuFilterProfileStatus
                  RowStatus
           }
@@ -7736,7 +12338,9 @@
         cpuFilterProfileType OBJECT-TYPE 
            SYNTAX   INTEGER  {
                           l2 (1),
-                          l3 (2)
+                          l3 (2),
+                          udf (9),
+                          l3v6 (11)
                        }
            MAX-ACCESS   read-write 
            STATUS      current 
@@ -7744,6 +12348,8 @@
               "The CPUInterfaceFilter Profile type, possible value are
               l2 (1) - for MAC-based rule, 
               l3 (2) - for IPv4-based rule,
+              udf (9) - for User-defined rule,
+              l3v6 (11) - for IPv6-based rule
               "
            ::= { cpuFilterProfileEntry 2 }
         
@@ -7779,6 +12385,7 @@
                L3          DST_PORT               11        
                L3          SRC_PORT               12        
                L3          TCPFLAG                13 (MSB)
+               L3          TRAFFIC_CLASS          21
                -------------------------------------------
                
                The value is in Hex format.
@@ -7818,7 +12425,8 @@
                                          icmp(1),
                                          igmp(2),
                                          tcp(6),
-                                         udp(17)
+                                         udp(17),
+                                         ipv6(41)
                          ,ipMask(255)
                         }
            MAX-ACCESS  read-write 
@@ -7842,8 +12450,20 @@
               "
            DEFVAL  { 'FF'h }   
            ::= { cpuFilterProfileEntry 8 }
+
+		cpuFilterProfileDstIpAddrMaskType OBJECT-TYPE
+	          SYNTAX    INTEGER {
+                        iPv4 (1),
+                        iPv6 (2)
+              }
+              MAX-ACCESS  read-write
+              STATUS      current
+	          DESCRIPTION
+                  "IPv6 Address type."
+              ::= { cpuFilterProfileEntry 9 }
+
         cpuFilterProfileDstIpAddrMask OBJECT-TYPE 
-           SYNTAX      IpAddress
+           SYNTAX      Ipv6Address
            MAX-ACCESS  read-write 
            STATUS      current 
            DESCRIPTION 
@@ -7855,11 +12475,21 @@
                '255.255.255.0' is presented to 'FFFFFF00'
               "
            DEFVAL  { 'FFFFFFFF'h }
-           ::= { cpuFilterProfileEntry 9 }
+           ::= { cpuFilterProfileEntry 10 }
         
-        
+		cpuFilterProfileSrcIpAddrMaskType OBJECT-TYPE
+	          SYNTAX    INTEGER {
+                        iPv4 (1),
+                        iPv6 (2)
+              }
+              MAX-ACCESS  read-write
+              STATUS      current
+	          DESCRIPTION
+                  "IPv6 Address type."
+              ::= { cpuFilterProfileEntry 11 }
+
         cpuFilterProfileSrcIpAddrMask OBJECT-TYPE 
-           SYNTAX      IpAddress
+           SYNTAX      Ipv6Address
            MAX-ACCESS  read-write 
            STATUS      current 
            DESCRIPTION 
@@ -7871,7 +12501,7 @@
                '255.255.255.0' is presented to 'FFFFFF00'
               "
            DEFVAL  { 'FFFFFFFF'h }
-           ::= { cpuFilterProfileEntry 10 }
+           ::= { cpuFilterProfileEntry 12 }
         
         cpuFilterProfileDstPortMask OBJECT-TYPE 
            SYNTAX      OCTET STRING
@@ -7885,7 +12515,7 @@
                The value is in HEX format.
               "
            DEFVAL  { 'FFFF'h }   
-           ::= { cpuFilterProfileEntry 11 }
+           ::= { cpuFilterProfileEntry 13 }
            
         
         cpuFilterProfileSrcPortMask OBJECT-TYPE 
@@ -7900,8 +12530,73 @@
                The value is in HEX format.
               "
            DEFVAL  { 'FFFF'h }     
-           ::= { cpuFilterProfileEntry 12 }   
+           ::= { cpuFilterProfileEntry 14 }   
 
+        cpuFilterProfileOffset1Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The CPUInterfaceFilter Profile Offset1 mask.
+               If Offset1 is turn on in cpuFilterProfileMask, 
+               it will work with its member rule field,cpuFilterUdfRuleOffset1, 
+               to caculate a range of offset1 which is really care.
+               The value is in HEX format.
+              "
+           ::= { cpuFilterProfileEntry 15 }   
+
+        cpuFilterProfileOffset2Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The CPUInterfaceFilter Profile Offset2 mask.
+               If Offset2 is turn on in cpuFilterProfileMask, 
+               it will work with its member rule field,cpuFilterUdfRuleOffset2, 
+               to caculate a range of offset2 which is really care.
+               The value is in HEX format.
+              "
+           ::= { cpuFilterProfileEntry 16 }   
+
+        cpuFilterProfileOffset3Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The CPUInterfaceFilter Profile Offset3 mask.
+               If Offset3 is turn on in cpuFilterProfileMask, 
+               it will work with its member rule field,cpuFilterUdfRuleOffset3, 
+               to caculate a range of offset3 which is really care.
+               The value is in HEX format.
+              "
+           ::= { cpuFilterProfileEntry 17 }   
+
+        cpuFilterProfileOffset4Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The CPUInterfaceFilter Profile Offset4 mask.
+               If offset4 is turn on in cpuFilterProfileMask, 
+               it will work with its member rule field,cpuFilterUdfRuleOffset4, 
+               to caculate a range of offset4 which is really care.
+               The value is in HEX format.
+              "
+           ::= { cpuFilterProfileEntry 18 }   
+
+        cpuFilterProfileOffset5Mask OBJECT-TYPE 
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+              "The CPUInterfaceFilter Profile Offset5 mask.
+               If Offset5 is turn on in cpuFilterProfileMask, 
+               it will work with its member rule field,cpuFilterUdfRuleOffset5, 
+               to caculate a range of offset5 which is really care.
+               The value is in HEX format.
+              "
+           ::= { cpuFilterProfileEntry 19 }   
+
         cpuFilterProfileStatus OBJECT-TYPE 
            SYNTAX      RowStatus
            MAX-ACCESS  read-create 
@@ -7914,10 +12609,9 @@
                  cpuFilterProfileMask and ProtocolType are not conflicted.
                "
         
-           ::= { cpuFilterProfileEntry 15 }
+           ::= { cpuFilterProfileEntry 20 }
 
 
-
         -- ------------------------------------------------------------------ 
         -- L2 Filter Group --------------------------------------------------
         cpuFilterL2Rule       OBJECT IDENTIFIER ::= { companyCPUInterfaceFilterGroup 2 }
